# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.projecthosting
Class ProjectSummaryEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<ProjectSummaryEntry>
                  com.google.gdata.data.projecthosting.ProjectSummaryEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class ProjectSummaryEntry

extends BaseEntry<ProjectSummaryEntry>

Google Code Project Summary Entry.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`ProjectSummaryEntry()` Default mutable constructor.
`ProjectSummaryEntry(BaseEntry<?> sourceEntry)` Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

Method Summary
`void` `addProjectLabel(ProjectLabel projectLabel)` Adds a new project label.
`void` `addRepository(Repository repository)` Adds a new repository.
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`Description` `getDescription()` Returns the description.
`java.util.List<ProjectLabel>` `getProjectLabels()` Returns the project labels.
`Link` `getRelatedLink()` Returns the link that provides the URI of a related link to the entry.
`java.util.List<Repository>` `getRepositories()` Returns the repositories.
`boolean` `hasDescription()` Returns whether it has the description.
`boolean` `hasProjectLabels()` Returns whether it has the project labels.
`boolean` `hasRepositories()` Returns whether it has the repositories.
`void` `setDescription(Description description)` Sets the description.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProjectSummaryEntry

    public ProjectSummaryEntry()

  Default mutable constructor.

### ProjectSummaryEntry

    public ProjectSummaryEntry(BaseEntry<?> sourceEntry)

  Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

  Parameters:
    `sourceEntry` - source entry

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getDescription

    public Description getDescription()

  Returns the description.

  Returns:
    description

### setDescription

    public void setDescription(Description description)

  Sets the description.

  Parameters:
    `description` - description or `null` to reset

### hasDescription

    public boolean hasDescription()

  Returns whether it has the description.

  Returns:
    whether it has the description

### getProjectLabels

    public java.util.List<ProjectLabel> getProjectLabels()

  Returns the project labels.

  Returns:
    project labels

### addProjectLabel

    public void addProjectLabel(ProjectLabel projectLabel)

  Adds a new project label.

  Parameters:
    `projectLabel` - project label

### hasProjectLabels

    public boolean hasProjectLabels()

  Returns whether it has the project labels.

  Returns:
    whether it has the project labels

### getRepositories

    public java.util.List<Repository> getRepositories()

  Returns the repositories.

  Returns:
    repositories

### addRepository

    public void addRepository(Repository repository)

  Adds a new repository.

  Parameters:
    `repository` - repository

### hasRepositories

    public boolean hasRepositories()

  Returns whether it has the repositories.

  Returns:
    whether it has the repositories

### getRelatedLink

    public Link getRelatedLink()

  Returns the link that provides the URI of a related link to the entry.

  Returns:
    Link that provides the URI of a related link to the entry or `null` for none.

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`